Bug 1013532 - [abrt] btrfs-progs-0.20.rc1.20130917git194aa4a-1.fc19: __assert_fail_base: Process /usr/sbin/btrfsck was killed by signal 6 (SIGABRT)
[abrt] btrfs-progs-0.20.rc1.20130917git194aa4a-1.fc19: __assert_fail_base: Pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
abrt_hash:ce913bfffd3ad03cdefd3630a23...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 05:53 EDT by Matthias Bruegge
Modified: 2013-11-26 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 10:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.91 KB, text/plain)
2013-09-30 05:53 EDT, Matthias Bruegge
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-30 05:53 EDT, Matthias Bruegge
no flags Details
File: core_backtrace (2.20 KB, text/plain)
2013-09-30 05:53 EDT, Matthias Bruegge
no flags Details
File: dso_list (712 bytes, text/plain)
2013-09-30 05:53 EDT, Matthias Bruegge
no flags Details
File: environ (2.35 KB, text/plain)
2013-09-30 05:53 EDT, Matthias Bruegge
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-30 05:53 EDT, Matthias Bruegge
no flags Details
File: maps (2.39 KB, text/plain)
2013-09-30 05:54 EDT, Matthias Bruegge
no flags Details
File: open_fds (90 bytes, text/plain)
2013-09-30 05:54 EDT, Matthias Bruegge
no flags Details
File: proc_pid_status (760 bytes, text/plain)
2013-09-30 05:54 EDT, Matthias Bruegge
no flags Details

  None (edit)
Description Matthias Bruegge 2013-09-30 05:53:38 EDT
Version-Release number of selected component:
btrfs-progs-0.20.rc1.20130917git194aa4a-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        btrfsck /dev/sdb2
crash_function: __assert_fail_base
executable:     /usr/sbin/btrfsck
kernel:         3.11.1-200.fc19.i686.PAE
runlevel:       N 5
type:           CCpp
uid:            0
var_log_messages: Sep 30 11:42:27 localhost abrt[1865]: Saved core dump of pid 1825 (/usr/sbin/btrfsck) to /var/tmp/abrt/ccpp-2013-09-30-11:42:08-1825 (323526656 bytes)

Truncated backtrace:
Thread no. 1 (5 frames)
 #3 __assert_fail_base at assert.c:92
 #4 __assert_fail at assert.c:101
 #5 btrfs_read_fs_root_no_cache at disk-io.c:632
 #6 check_fs_roots at cmds-check.c:1853
 #7 cmd_check at cmds-check.c:5818
Comment 1 Matthias Bruegge 2013-09-30 05:53:42 EDT
Created attachment 805046 [details]
File: backtrace
Comment 2 Matthias Bruegge 2013-09-30 05:53:45 EDT
Created attachment 805047 [details]
File: cgroup
Comment 3 Matthias Bruegge 2013-09-30 05:53:48 EDT
Created attachment 805048 [details]
File: core_backtrace
Comment 4 Matthias Bruegge 2013-09-30 05:53:51 EDT
Created attachment 805049 [details]
File: dso_list
Comment 5 Matthias Bruegge 2013-09-30 05:53:54 EDT
Created attachment 805050 [details]
File: environ
Comment 6 Matthias Bruegge 2013-09-30 05:53:57 EDT
Created attachment 805051 [details]
File: limits
Comment 7 Matthias Bruegge 2013-09-30 05:54:01 EDT
Created attachment 805052 [details]
File: maps
Comment 8 Matthias Bruegge 2013-09-30 05:54:04 EDT
Created attachment 805053 [details]
File: open_fds
Comment 9 Matthias Bruegge 2013-09-30 05:54:07 EDT
Created attachment 805054 [details]
File: proc_pid_status
Comment 10 Eric Sandeen 2013-11-14 14:32:01 EST
This is a mass update of F19 and F20 btrfs-progs bugs.

A btrfs-progs git snapshot has been built in Rawhide and submitted for F19 and F20 testing.

If your bug was reproducible, please re-test with the new build, and update this bug to let us know if it's been resolved.  If so I can add it to the Bodhi errata.

Thanks,
-Eric
Comment 11 Eric Sandeen 2013-11-26 10:26:35 EST
It's probably clear by now that nobody is going to look at these old abrt bugs on ancient btrfs-progs snapshots.  So let's just be honest about it and close them.

Much newer code is being pushed out to F19 and F20 and rawhide; hopefully new abrt issues can be given more attention in the future.

Note You need to log in before you can comment on or make changes to this bug.